---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: dashboard
  namespace: argocd
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: dashboard-role
rules:
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - cluster.x-k8s.io
  resources:
  - clusters
  - machinedeployments
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - bmp.kanod.io
  resources:
  - baremetalpools
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - metal3.io
  resources:
  - baremetalhosts
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - controlplane.cluster.x-k8s.io
  resources:
  - kubeadmcontrolplanes
  verbs:
  - get
  - list
  - watch

---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: argocd
  name: dashboard-role
rules:
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - list
  - watch
  - patch
- apiGroups:
  - argoproj.io
  resources:
  - applications
  verbs:
  - get
  - list
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: capm3
  name: dashboard-role
rules:
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - gitops.kanod.io
  resources:
  - clusterdefs
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - gitops.kanod.io
  resources:
  - clusterdefs/status
  verbs:
  - get
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: dashboard-rolebinding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: dashboard-role
subjects:
- kind: ServiceAccount
  name: dashboard
  namespace: argocd
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: dashboard-rolebinding
  namespace: argocd
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: dashboard-role
subjects:
- kind: ServiceAccount
  name: dashboard
  namespace: argocd
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: dashboard-rolebinding
  namespace: capm3
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: dashboard-role
subjects:
- kind: ServiceAccount
  name: dashboard
  namespace: argocd
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app.kubernetes.io/component: dashboard
    app.kubernetes.io/name: kanod-dashboard
    app.kubernetes.io/part-of: kanod
  name: kanod-dashboard
  namespace: argocd
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: kanod-dashboard
  template:
    metadata:
      labels:
        app.kubernetes.io/name: kanod-dashboard
    spec:
      serviceAccountName: dashboard
      containers:
      - image: registry.gitlab.com/orange-opensource/kanod/dashboard:0.3.2
        imagePullPolicy: Always
        name: dashboard
        ports:
        - containerPort: 3000
        volumeMounts:
        - mountPath: /mnt
          name: passwords
      volumes:
      - name: passwords
        secret:
          secretName: dashboard-auth

---
apiVersion: v1
kind: Secret
metadata:
  name: dashboard-auth
  namespace: argocd
data:

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: dashboard
    app.kubernetes.io/name: kanod-dashboard
    app.kubernetes.io/part-of: kanod
  name: kanod-dashboard
  namespace: argocd
spec:
  ports:
  - name: http
    nodePort: 30010
    port: 80
    protocol: TCP
    targetPort: 3000
  selector:
    app.kubernetes.io/name: kanod-dashboard
  type: NodePort
